## openchange 0.8.2+svn1423

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	./configure
 
 configure: configure.ac
-	autoconf -f
+	./autogen.sh
 
 samba:
 	./script/installsamba4.sh all
@@ -70,6 +70,7 @@
 	rm -f libmapi++/Doxyfile
 	rm -f mapiproxy/Doxyfile
 	rm -f config.status config.log
+	rm -f stamp-h1
 	rm -f utils/mapitest/Doxyfile
 	rm -f intltool-extract intltool-merge intltool-update
 	rm -rf apidocs
@@ -224,8 +225,8 @@
 	$(INSTALL) -m 0644 gen_ndr/property.h $(DESTDIR)$(includedir)/gen_ndr/
 
 libmapi-installscript:
-	$(INSTALL) -d $(DESTDIR)$(datadir)/setup
-	$(INSTALL) -m 0644 setup/oc_profiles* $(DESTDIR)$(datadir)/setup/
+	$(INSTALL) -d $(DESTDIR)$(datadir)/setup/profiles
+	$(INSTALL) -m 0644 setup/profiles/oc_profiles* $(DESTDIR)$(datadir)/setup/profiles/
 
 libmapi-uninstallpc:
 	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi.pc
@@ -239,7 +240,8 @@
 	rm -f $(DESTDIR)$(includedir)/gen_ndr/property.h
 
 libmapi-uninstallscript:
-	rm -f $(DESTDIR)$(datadir)/setup/oc_profiles*
+	rm -f $(DESTDIR)$(datadir)/setup/profiles/oc_profiles*
+	rm -rf $(DESTDIR)$(datadir)/setup/profiles
 
 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION): 		\
 	libmapi/IABContainer.po				\
@@ -394,6 +396,8 @@
 	rm -f bin/libmapixx-test
 	rm -f libmapi++/tests/*.o
 
+clean:: libmapixx-tests-clean
+
 bin/libmapixx-test:	libmapi++/tests/test.cpp	\
 		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
 	@echo "Linking sample application $@"
@@ -405,7 +409,3 @@
 
 libmapixx-attach-clean:
 	rm -f bin/libmapixx-attach
-	rm -f libmapi++/tests/*.o
-
-bin/libmapixx-attach: libmapi++/tests/attach_test.cpp	\
-		  libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
