## openchange 0.8.2+svn1524

=== Makefile ===
--- 
+++ 
@@ -60,6 +60,9 @@
 		$(OC_TORTURE_UNINSTALL) \
 		$(SWIGDIRS-UNINSTALL) \
 		$(PYMAPIUNINSTALL)
+
+dist:: distclean
+	./autogen.sh
 
 distclean:: clean
 	rm -rf autom4te.cache
@@ -408,4 +411,3 @@
 libmapixx-attach: bin/libmapixx-attach
 
 libmapixx-attach-clean:
-	rm -f bin/libmapixx-attach
