## openchange 0.9+svn2158

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,9 @@
 
 samba-git: 
 	./script/installsamba4.sh git-all
+
+samba-git-update:
+	./script/installsamba4.sh git-update
 
 ifneq ($(MAKECMDGOALS), samba)
 ifneq ($(MAKECMDGOALS), samba-git)
@@ -37,7 +40,9 @@
 		$(OC_TORTURE)		\
 		$(OC_SERVER)		\
 		$(SWIGDIRS-ALL)		\
-		$(PYMAPIALL)
+		$(PYMAPIALL)		\
+		$(COVERAGE_INIT)	\
+		$(OPENCHANGE_QT4)
 
 install: 	all 			\
 		installlib 		\
@@ -73,6 +78,7 @@
 	rm -f libmapi++/Doxyfile
 	rm -f mapiproxy/Doxyfile
 	rm -f config.status config.log
+	rm -f config.h
 	rm -f stamp-h1
 	rm -f utils/mapitest/Doxyfile
 	rm -f intltool-extract intltool-merge intltool-update
@@ -94,7 +100,7 @@
 # Suffixes compilation rules
 #################################################################
 
-.SUFFIXES: .c .o .h .po .idl
+.SUFFIXES: .c .o .h .po .idl .cpp
 
 .idl.h:
 	@echo "Generating $@"
@@ -108,7 +114,13 @@
 	@echo "Compiling $< with -fPIC"
 	@$(CC) $(CFLAGS) -fPIC -c $< -o $@
 
-
+.cpp.o:
+	@echo "Compiling $< with -fPIC"
+	@$(CXX) $(CXXFLAGS) $(QT4_CXXFLAGS) -fPIC -c $< -o $@
+
+.cpp.po:
+	@echo "Compiling $< with -fPIC"
+	@$(CXX) $(CXXFLAGS) -fPIC -c $< -o $@
 
 #################################################################
 # IDL compilation rules
@@ -144,7 +156,6 @@
 
 libmapi:	idl					\
 		libmapi/version.h			\
-		libmapi/proto.h				\
 		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)	
 
 libmapi-install:	libmapi			\
@@ -160,17 +171,15 @@
 
 libmapi-clean::
 	rm -f libmapi/*.o libmapi/*.po
-	rm -f libmapi/tests/*.o, libmapi/tests/*.po
+	rm -f libmapi/*.gcno libmapi/*.gcda libmapi/*.gcov
 	rm -f libmapi/socket/*.o libmapi/socket/*.po
-	rm -f libmapi/util/*.o, libmapi/util/*.po
+	rm -f libmapi/socket/*.gcno libmapi/socket/*.gcda
 	rm -f libmapi/version.h
 ifneq ($(SNAPSHOT), no)
-	rm -f libmapi/utf8_convert.yy.c
-	rm -f libmapi/mapicode.c libmapi/mapicode.h
+	rm -f libmapi/mapicode.c
 	rm -f libmapi/mapitags.c libmapi/mapitags.h
+	rm -f libmapi/codepage_lcid.c
 	rm -f libmapi/mapi_nameid.h libmapi/mapi_nameid_private.h
-	rm -f libmapi/proto.h
-	rm -f libmapi/proto_private.h
 	rm -f mapicodes_enum.h
 	rm -f mapitags_enum.h
 endif
@@ -179,6 +188,7 @@
 	rm -f gen_ndr/ndr_property*
 	rm -f gen_ndr/property.h
 	rm -f ndr_mapi.o ndr_mapi.po
+	rm -f ndr_mapi.gcno ndr_mapi.gcda
 	rm -f *~
 	rm -f */*~
 	rm -f */*/*~
@@ -202,15 +212,16 @@
 	$(INSTALL) -d $(DESTDIR)$(libdir)
 	$(INSTALL) -m 0755 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)
 	ln -sf libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapi.$(SHLIBEXT)
+ifeq ($(MANUALLY_CREATE_SYMLINKS), yes)
+	ln -sf libmapi.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION)
+endif
 
 libmapi-installheader:
 	@echo "[*] install: libmapi headers"
 	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi 
 	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi/socket 
 	$(INSTALL) -d $(DESTDIR)$(includedir)/gen_ndr
-	$(INSTALL) -m 0644 libmapi/dlinklist.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/libmapi.h $(DESTDIR)$(includedir)/libmapi/
-	$(INSTALL) -m 0644 libmapi/proto.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/nspi.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/emsmdb.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/mapi_ctx.h $(DESTDIR)$(includedir)/libmapi/
@@ -226,6 +237,9 @@
 	$(INSTALL) -m 0644 libmapi/socket/netif.h $(DESTDIR)$(includedir)/libmapi/socket/
 	$(INSTALL) -m 0644 gen_ndr/exchange.h $(DESTDIR)$(includedir)/gen_ndr/
 	$(INSTALL) -m 0644 gen_ndr/property.h $(DESTDIR)$(includedir)/gen_ndr/
+	@$(SED) $(DESTDIR)$(includedir)/libmapi/*.h
+	@$(SED) $(DESTDIR)$(includedir)/libmapi/socket/*.h
+	@$(SED) $(DESTDIR)$(includedir)/gen_ndr/*.h
 
 libmapi-installscript:
 	$(INSTALL) -d $(DESTDIR)$(datadir)/setup/profiles
@@ -247,6 +261,7 @@
 	rm -rf $(DESTDIR)$(datadir)/setup/profiles
 
 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION): 		\
+	libmapi/emsmdb.po				\
 	libmapi/IABContainer.po				\
 	libmapi/IProfAdmin.po				\
 	libmapi/IMAPIContainer.po			\
@@ -272,12 +287,10 @@
 	libmapi/mapitags.po				\
 	libmapi/mapidump.po				\
 	libmapi/mapicode.po 				\
+	libmapi/codepage_lcid.po			\
 	libmapi/mapi_nameid.po				\
-	libmapi/emsmdb.po				\
 	libmapi/nspi.po 				\
 	libmapi/simple_mapi.po				\
-	libmapi/util/lcid.po 				\
-	libmapi/util/codepage.po			\
 	libmapi/freebusy.po				\
 	libmapi/x500.po 				\
 	ndr_mapi.po					\
@@ -285,10 +298,9 @@
 	gen_ndr/ndr_exchange_c.po			\
 	gen_ndr/ndr_property.po				\
 	libmapi/socket/interface.po			\
-	libmapi/socket/netif.po				\
-	libmapi/utf8_convert.yy.po
+	libmapi/socket/netif.po				
 	@echo "Linking $@"
-	@$(CC) $(DSOOPT) -Wl,-soname,libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION) -o $@ $^ $(LIBS)
+	@$(CC) $(DSOOPT) $(CFLAGS) $(LDFLAGS) -Wl,-soname,libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION) -o $@ $^ $(LIBS)
 
 
 libmapi.$(SHLIBEXT).$(LIBMAPI_SO_VERSION): libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
@@ -297,58 +309,13 @@
 libmapi/version.h: VERSION
 	@./script/mkversion.sh 	VERSION libmapi/version.h $(PACKAGE_VERSION) $(top_builddir)/
 
-libmapi/utf8_convert.yy.c: 	libmapi/utf8_convert.l
-	@echo "Generating $@"
-	@$(FLEX) -Plibmapi_utf8_convert_ -t $< > $@
-
-# Avoid warnings:
-libmapi/utf8_convert.yy.o: CFLAGS=
-
-libmapi/proto.h libmapi/proto_private.h:		\
-	libmapi/nspi.c					\
-	libmapi/emsmdb.c				\
-	libmapi/cdo_mapi.c				\
-	libmapi/simple_mapi.c				\
-	libmapi/mapitags.c				\
-	libmapi/mapicode.c				\
-	libmapi/mapidump.c				\
-	libmapi/mapi_object.c				\
-	libmapi/mapi_id_array.c				\
-	libmapi/mapi_nameid.c				\
-	libmapi/property.c				\
-	libmapi/IABContainer.c				\
-	libmapi/IProfAdmin.c				\
-	libmapi/IMAPIContainer.c			\
-	libmapi/IMAPIFolder.c 				\
-	libmapi/IMAPIProp.c 				\
-	libmapi/IMAPISession.c				\
-	libmapi/IMAPISupport.c				\
-	libmapi/IMAPITable.c 				\
-	libmapi/IMSProvider.c				\
-	libmapi/IMessage.c 				\
-	libmapi/IMsgStore.c 				\
-	libmapi/IStoreFolder.c				\
-	libmapi/IUnknown.c 				\
-	libmapi/IStream.c				\
-	libmapi/IXPLogon.c				\
-	libmapi/FXICS.c					\
-	libmapi/freebusy.c				\
-	libmapi/x500.c 					\
-	libmapi/lzfu.c					\
-	libmapi/utils.c 				\
-	libmapi/util/lcid.c 				\
-	libmapi/util/codepage.c 			\
-	libmapi/socket/interface.c			\
-	libmapi/socket/netif.c		
-	@echo "Generating $@"
-	@./script/mkproto.pl --private=libmapi/proto_private.h --public=libmapi/proto.h $^
-
 libmapi/emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h
 
-libmapi/mapitags.c libmapi/mapicode.c mapitags_enum.h mapicodes_enum.h: \
-	libmapi/conf/mapi-properties 					\
-	libmapi/conf/mapi-codes 					\
-	libmapi/conf/mapi-named-properties 				\
+libmapi/mapitags.c libmapi/mapicode.c libmapi/codepage_lcid.c mapitags_enum.h mapicodes_enum.h: \
+	libmapi/conf/mapi-properties								\
+	libmapi/conf/mapi-codes									\
+	libmapi/conf/mapi-named-properties							\
+	libmapi/conf/codepage-lcid								\
 	libmapi/conf/mparse.pl
 	@./libmapi/conf/build.sh
 
@@ -356,15 +323,43 @@
 # libmapi++ compilation rules
 #################################################################
 
-libmapixx: libmapi libmapixx-tests libmapixx-examples
+LIBMAPIPP_SO_VERSION = 0
+
+libmapixx: libmapi \
+	libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION) \
+	libmapixx-tests \
+	libmapixx-examples
+
+libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION): 	\
+	libmapi++/src/attachment.po 		\
+	libmapi++/src/folder.po 		\
+	libmapi++/src/mapi_exception.po		\
+	libmapi++/src/message.po		\
+	libmapi++/src/object.po			\
+	libmapi++/src/session.po
+	@echo "Linking $@"
+	@$(CXX) $(DSOOPT) $(CXXFLAGS) $(LDFLAGS) -Wl,-soname,libmapipp.$(SHLIBEXT).$(LIBMAPIPP_SO_VERSION) -o $@ $^ $(LIBS)
 
 libmapixx-installpc:
-
-libmapixx-clean: libmapixx-tests-clean
-
-libmapixx-install: libmapixx-installheader
-
-libmapixx-uninstall: libmapixx-uninstallheader
+	@echo "[*] install: libmapi++ pc files"
+	$(INSTALL) -d $(DESTDIR)$(libdir)/pkgconfig
+	$(INSTALL) -m 0644 libmapi++.pc $(DESTDIR)$(libdir)/pkgconfig
+
+libmapixx-distclean:
+	rm -f libmapi++.pc
+
+libmapixx-uninstallpc:
+	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi++.pc
+
+distclean::libmapixx-distclean
+
+libmapixx-clean: libmapixx-tests-clean libmapixx-libs-clean
+
+clean:: libmapixx-clean
+
+libmapixx-install: libmapixx-installheader libmapixx-installlib libmapixx-installpc
+
+libmapixx-uninstall: libmapixx-uninstallheader libmapixx-uninstalllib libmapixx-uninstallpc
 
 libmapixx-installheader:
 	@echo "[*] install: libmapi++ headers"
@@ -380,34 +375,24 @@
 	$(INSTALL) -m 0644 libmapi++/profile.h $(DESTDIR)$(includedir)/libmapi++/
 	$(INSTALL) -m 0644 libmapi++/property_container.h $(DESTDIR)$(includedir)/libmapi++/
 	$(INSTALL) -m 0644 libmapi++/session.h $(DESTDIR)$(includedir)/libmapi++/
-	$(INSTALL) -d $(DESTDIR)$(includedir)/libmapi++/impl
-	$(INSTALL) -m 0644 libmapi++/impl/* $(DESTDIR)$(includedir)/libmapi++/impl/
+	@$(SED) $(DESTDIR)$(includedir)/libmapi++/*.h
+
+libmapixx-libs-clean:
+	rm -f libmapi++/src/*.po
+	rm -f libmapipp.$(SHLIBEXT)*
+
+libmapixx-installlib:
+	@echo "[*] install: libmapi++ library"
+	$(INSTALL) -d $(DESTDIR)$(libdir)
+	$(INSTALL) -m 0755 libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)
+	ln -sf libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapipp.$(SHLIBEXT)
+ifeq ($(MANUALLY_CREATE_SYMLINKS), yes)
+	ln -sf libmapipp.$(SHLIBEXT).$(PACKAGE_VERSION) $(DESTDIR)$(libdir)/libmapipp.$(SHLIBEXT).$(LIBMAPIPP_SO_VERSION)
+endif
 
 libmapixx-uninstallheader:
 	rm -rf $(DESTDIR)$(includedir)/libmapi++
 
-
-libmapixx-tests:	libmapixx-test		\
-			libmapixx-attach
-
-libmapixx-tests-clean:	libmapixx-test-clean	\
-			libmapixx-attach-clean	
-
-libmapixx-test: bin/libmapixx-test
-
-libmapixx-test-clean:
-	rm -f bin/libmapixx-test
-	rm -f libmapi++/tests/*.o
-
-clean:: libmapixx-tests-clean
-
-bin/libmapixx-test:	libmapi++/tests/test.cpp	\
-		libmapi.$(SHLIBEXT).$(PACKAGE_VERSION)
-	@echo "Linking sample application $@"
-	@$(CXX) $(CXXFLAGS) -o $@ $^ $(LIBS)
-
-clean:: libmapixx-test-clean
-
-libmapixx-attach: bin/libmapixx-attach
-
-libmapixx-attach-clean:
+libmapixx-uninstalllib:
+	rm -f $(DESTDIR)$(libdir)/libmapipp.*
+
