=== debian/control ===
Source: openchange
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>> 5.0.0), libparse-pidl-perl, libmagic-dev,
	libdcerpc-dev (>= 4.0.0~alpha13+git+bzr12977), libtalloc-dev,
	samba4-dev (>= 4.0.0~alpha13+git+bzr12977),
	libsamba-hostconfig-dev (>= 4.0.0~alpha13+git+bzr12977), flex, bison,
	libpopt-dev, libtorture-dev, doxygen, pkg-config,
	libdcerpc-dev (>= 4.0.0~alpha13+git+bzr12977), libtalloc-dev,
	libldb-dev, python-dev, python-central (>= 0.5),
	libtevent-dev (>= 0.9.9~), libical-dev, libboost-thread-dev,
	libsqlite3-dev, zlib1g-dev
Standards-Version: 3.9.1
Vcs-Bzr: http://bzr.debian.org/pkg-samba/openchange/unstable
Vcs-Browser: http://bzr.debian.org/lh/pkg-samba/openchange/unstable
Homepage: http://www.openchange.org/
XS-Python-Version: >= 2.4

Package: libmapi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Client library for the MAPI protocol
 This library provides a client-side implementation of the MAPI protocol
 that is used by Microsoft Exchange and Outlook.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.

Package: libmapi-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapi0 (= ${binary:Version}), ${misc:Depends}, libtalloc-dev, libdcerpc-dev, libndr-dev, libldb-dev, libsamba-hostconfig-dev, libtevent-dev, libndr-standard-dev
XB-Python-Version: ${python:Versions}
Description: Development files for the MAPI client library
 This library provides a client-side implementation of the MAPI protocol
 that is used by Microsoft Exchange and Outlook.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.
 .
 This package contains the development files.

Package: libmapipp-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapipp0 (= ${binary:Version}), ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Development files for the C++ MAPI client library
 This library provides a thin C++ wrapper around libmapi.
 .
 This package contains the header files.

Package: libmapipp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Library files for the C++ MAPI client library
 This library provides a thin C++ wrapper around libmapi.
 .
 This package contains the shared library.

Package: libocpf0
SEction: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Scripting library for the MAPI protocol
 Library that reads and runs files in the OCPF scripting language,
 a domain-specific language for the MAPI protocol.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.

Package: libocpf-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libocpf0 (= ${binary:Version}), ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Development files for the OCPF library
 Library that reads and runs files in the OCPF scripting language,
 a domain-specific language for the MAPI protocol.
 .
 Currently implemented features include sending and receiving mail and
 enumerating the address book.
 .
 This package contains the development files.

Package: openchangeclient
Architecture: any
Suggests: nagios3, ${perl:Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Command-line client for the MAPI (Exchange/Outlook) protocol
 Simple command-line client that allows fetching mail from and sending
 mail using a MAPI server.

Package: openchangeserver
Architecture: any
Depends: ${shlibs:Depends}, samba4 (>= 4.0.0~), ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Experimental MAPI (Exchange/Outlook) server
 This is a plugin for Samba 4 that adds server-side support for the MAPI
 protocol that is used by Microsoft Outlook and Exchange.
 .
 This package is alpha software.

Package: openchangeserver-dev
Architecture: any
Depends: samba4-dev (>= 4.0.0~), openchangeserver (= ${binary:Version}), ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Experimental MAPI (Exchange/Outlook) server - development files
 This is a plugin for Samba 4 that adds server-side support for the MAPI
 protocol that is used by Microsoft Outlook and Exchange.
 .
 This package contains the development files.

Package: openchangeproxy
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, samba4 (>= 4.0.0~), ${misc:Depends}
Description: Experimental MAPI (Exchange/Outlook) proxy
 This is a plugin for Samba 4 that provides a proxy for the MAPI protocol.
 .
 This package is alpha software.

Package: libmapiadmin0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Administration client library for the MAPI (Exchange/Outlook) protocol
 Library that allows remote administration of MAPI (Exchange/Outlook) servers.

Package: libmapiadmin-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapiadmin0 (= ${binary:Version}), ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Development files for the MAPI administration client library
 Library that allows remote administration of MAPI (Exchange/Outlook) servers.
 .
 This package contains the development files.

Package: libmapiproxy0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Proxy library for the MAPI (Exchange/Outlook) protocol
 This is a library that allows proxying of the MAPI (Exchange/Outlook)
 protocol.

Package: libmapiproxy-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libmapiproxy0 (= ${binary:Version}), ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Development files for the MAPI proxy library
 Library that allows proxying of the MAPI (Exchange/Outlook) protocol.
 .
 This package contains the development files.

Package: libmapistore0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Description: Storage library for MAPI objects
 Library that can store arbitrary MAPI objects.

Package: libmapistore-dev
Section: libdevel
Depends: ${misc:Depends}, libmapistore0 (= ${binary:Version})
Architecture: any
XB-Python-Version: ${python:Versions}
Description: Storage library for MAPI objects - development files
 Library that can store arbitrary MAPI objects.
 .
 This package contains the development files.
