=== debian/rules ===
#!/usr/bin/make -f
# By Jelmer Vernooij <jelmer@samba.org>
#
LDFLAGS = -Wl,--as-needed
DSOOPT = -shared -Wl,--as-needed -fPIC

configure: configure-stamp
configure-stamp:
	dh_testdir
	chmod a+x ./configure
	BOOST_LIB_SUFFIX=-mt ./configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--with-modulesdir=/usr/lib/openchange \
		--disable-pymapi
	touch $@

build: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE) datadir=/usr/share/openchange LDFLAGS="$(LDFLAGS)" DSOOPT="$(DSOOPT)" all
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(RM) debian/tmp
	[ ! -f config.mk ] || $(MAKE) distclean
	$(RM) build-stamp configure-stamp

binary-indep: build install
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdebconf -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

install: build
	dh_installdirs
	mkdir -p $(CURDIR)/debian/tmp/usr/modules/dcerpc_server
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/nagios/plugins
	$(MAKE) datadir=/usr/share/openchange install installman DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/lib/nagios/check_exchange \
	   $(CURDIR)/debian/tmp/usr/lib/nagios/plugins/check_exchange 
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/samba/dcerpc_server
	mv $(CURDIR)/debian/tmp/usr/modules/dcerpc_server/* \
	   $(CURDIR)/debian/tmp/usr/lib/samba/dcerpc_server
	rm -rf $(CURDIR)/debian/tmp/usr/modules
	dh_testdir
	dh_testroot
	# Don't install the testsuite for now
	rm -f $(CURDIR)/debian/tmp/usr/torture/openchange.so
	rm -rf $(CURDIR)/debian/tmp/usr/share/openchange/mapitest
	install -m 0644 -D debian/openchangeserver.lintian debian/openchangeserver/usr/share/lintian/overrides/openchangeserver
	dh_install --sourcedir=debian/tmp --list-missing --fail-missing

get-orig-source:
	./debian/build-orig.sh

binary-arch: build install
	dh_installdocs -a 
	dh_installexamples -a
	dh_installchangelogs -a
	dh_strip -a
	dh_link -a
	dh_perl -a
	dh_pycentral -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installinit -a 
	dh_installdebconf -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch 

.PHONY: configure build install binary binary-arch binary-indep clean
