## openchange 0.11~bzr1932

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile for OpenChange
+# # Makefile for OpenChange
 # Written by Jelmer Vernooij <jelmer@openchange.org>, 2005.
 
 default: all
@@ -37,9 +37,7 @@
 all: 		$(OC_IDL)		\
 		$(OC_LIBS)		\
 		$(OC_TOOLS)		\
-		$(OC_TORTURE)		\
 		$(OC_SERVER)		\
-		$(SWIGDIRS-ALL)		\
 		$(PYMAPIALL)		\
 		$(COVERAGE_INIT)	\
 		$(OPENCHANGE_QT4)
@@ -50,8 +48,6 @@
 		installheader 		\
 		$(OC_TOOLS_INSTALL) 	\
 		$(OC_SERVER_INSTALL) 	\
-		$(OC_TORTURE_INSTALL) 	\
-		$(SWIGDIRS-INSTALL) 	\
 		$(PYMAPIINSTALL) \
 		installnagios
 
@@ -62,8 +58,6 @@
 uninstall:: 	$(OC_LIBS_UNINSTALL) 	\
 		$(OC_TOOLS_UNINSTALL) 	\
 		$(OC_SERVER_UNINSTALL) 	\
-		$(OC_TORTURE_UNINSTALL) \
-		$(SWIGDIRS-UNINSTALL) \
 		$(PYMAPIUNINSTALL)
 
 dist:: distclean
@@ -77,6 +71,7 @@
 	rm -f libocpf/Doxyfile
 	rm -f libmapi++/Doxyfile
 	rm -f mapiproxy/Doxyfile
+	rm -f mapiproxy/libmapistore/Doxyfile
 	rm -f config.status config.log
 	rm -f config.h
 	rm -f stamp-h1
@@ -224,7 +219,7 @@
 	$(INSTALL) -m 0644 libmapi/libmapi.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/nspi.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/emsmdb.h $(DESTDIR)$(includedir)/libmapi/
-	$(INSTALL) -m 0644 libmapi/mapi_ctx.h $(DESTDIR)$(includedir)/libmapi/
+	$(INSTALL) -m 0644 libmapi/mapi_context.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/mapi_provider.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/mapi_id_array.h $(DESTDIR)$(includedir)/libmapi/
 	$(INSTALL) -m 0644 libmapi/mapi_notification.h $(DESTDIR)$(includedir)/libmapi/
@@ -262,6 +257,7 @@
 
 libmapi.$(SHLIBEXT).$(PACKAGE_VERSION): 		\
 	libmapi/emsmdb.po				\
+	libmapi/async_emsmdb.po				\
 	libmapi/IABContainer.po				\
 	libmapi/IProfAdmin.po				\
 	libmapi/IMAPIContainer.po			\
@@ -293,6 +289,7 @@
 	libmapi/simple_mapi.po				\
 	libmapi/freebusy.po				\
 	libmapi/x500.po 				\
+	libmapi/fxparser.po				\
 	ndr_mapi.po					\
 	gen_ndr/ndr_exchange.po				\
 	gen_ndr/ndr_exchange_c.po			\
@@ -311,6 +308,8 @@
 
 libmapi/emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h
 
+libmapi/async_emsmdb.c: libmapi/emsmdb.h gen_ndr/ndr_exchange_c.h
+
 libmapi/mapitags.c libmapi/mapicode.c libmapi/codepage_lcid.c mapitags_enum.h mapicodes_enum.h: \
 	libmapi/conf/mapi-properties								\
 	libmapi/conf/mapi-codes									\
@@ -336,6 +335,7 @@
 	libmapi++/src/mapi_exception.po		\
 	libmapi++/src/message.po		\
 	libmapi++/src/object.po			\
+	libmapi++/src/profile.po		\
 	libmapi++/src/session.po
 	@echo "Linking $@"
 	@$(CXX) $(DSOOPT) $(CXXFLAGS) $(LDFLAGS) -Wl,-soname,libmapipp.$(SHLIBEXT).$(LIBMAPIPP_SO_VERSION) -o $@ $^ $(LIBS)
@@ -352,8 +352,6 @@
 	rm -f $(DESTDIR)$(libdir)/pkgconfig/libmapi++.pc
 
 distclean::libmapixx-distclean
-
-libmapixx-clean: libmapixx-tests-clean libmapixx-libs-clean
 
 clean:: libmapixx-clean
 
@@ -380,6 +378,9 @@
 libmapixx-libs-clean:
 	rm -f libmapi++/src/*.po
 	rm -f libmapipp.$(SHLIBEXT)*
+	rm -f libmapi++/src/*.gcno libmapi++/src/*.gcda
+
+libmapixx-clean: libmapixx-tests-clean libmapixx-libs-clean
 
 libmapixx-installlib:
 	@echo "[*] install: libmapi++ library"
@@ -391,8 +392,3 @@
 endif
 
 libmapixx-uninstallheader:
-	rm -rf $(DESTDIR)$(includedir)/libmapi++
-
-libmapixx-uninstalllib:
-	rm -f $(DESTDIR)$(libdir)/libmapipp.*
-
