=== debian/changelog ===
openchange (1:0.11~bzr1932-1build1) natty; urgency=low

  * No changes upload for libldb0 -> libldb1 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 23 Feb 2011 21:14:11 +0100

openchange (1:0.11~bzr1932-1) experimental; urgency=low

  * New upstream snapshot.
   + Fixes missing linking of -ldl. Closes: #558943
  * Add dependency on libsubunit-dev for subunit support in mapitest.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 24 Jan 2011 14:01:32 -0800

openchange (1:0.10~bzr1804-1) unstable; urgency=low

  * New upstream snapshot.
  * Change section of libmapi0, libmapipp0, libocpf0 to libs.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 23 Aug 2010 15:49:09 +0200
