=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: openchange
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>> 5.0.0), libparse-pidl-perl, libmagic-dev,
-	libdcerpc-dev (>= 4.0.0~alpha13+git+bzr12977), libtalloc-dev,
-	samba4-dev (>= 4.0.0~alpha13+git+bzr12977),
-	libsamba-hostconfig-dev (>= 4.0.0~alpha13+git+bzr12977), flex, bison,
+	libdcerpc-dev (>= 4.0.0~alpha14~), libtalloc-dev,
+	samba4-dev (>= 4.0.0~alpha14~),
+	libsamba-hostconfig-dev (>= 4.0.0~alpha14~), flex, bison,
 	libpopt-dev, libtorture-dev, doxygen, pkg-config,
-	libdcerpc-dev (>= 4.0.0~alpha13+git+bzr12977), libtalloc-dev,
+	libdcerpc-dev (>= 4.0.0~alpha14~), libtalloc-dev,
 	libldb-dev, python-dev, python-central (>= 0.5),
 	libtevent-dev (>= 0.9.9~), libical-dev, libboost-thread-dev,
-	libsqlite3-dev, zlib1g-dev
+	libsqlite3-dev, zlib1g-dev, libsubunit-dev
 Standards-Version: 3.9.1
 Vcs-Bzr: http://bzr.debian.org/pkg-samba/openchange/unstable
 Vcs-Browser: http://bzr.debian.org/lh/pkg-samba/openchange/unstable
