=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,8 @@
 	# Don't install the testsuite for now
 	rm -f $(CURDIR)/debian/tmp/usr/torture/openchange.so
 	rm -rf $(CURDIR)/debian/tmp/usr/share/openchange/mapitest
+	rm -f $(CURDIR)/debian/tmp/usr/bin/check_fasttransfer
+	rm -f $(CURDIR)/debian/tmp/usr/bin/test_asyncnotif
 	install -m 0644 -D debian/openchangeserver.lintian debian/openchangeserver/usr/share/lintian/overrides/openchangeserver
 	dh_install --sourcedir=debian/tmp --list-missing --fail-missing
