=== debian/watch ===
version=2
http://sf.net/openchange/libmapi-(.+)-[A-Z]+\.tar\.gz
